<?php
/**
 * Default theme options.
 *
 * @package Ice Hockey Club
 */

if ( ! function_exists( 'ice_hockey_club_get_default_theme_options' ) ) :

	/**
	 * Get default theme options.
	 *
	 * @since 1.0.0
	 *
	 * @return array Default theme options.
	 */
function ice_hockey_club_get_default_theme_options() {

	$defaults = array();

	// Top Bar
	// $defaults['show_header_contact_info'] 		= false;
	$defaults['show_header_social_links'] 		= false;
    $defaults['header_social_links']			= array();

    // Front Page Content
	$defaults['enable_frontpage_content'] 		= true;

	// Slider Section	
	$defaults['enable_featured_slider_section']		    	= false;
	$defaults['featured_slider_content_type']		    	= 'featured_slider_page';
	$defaults['featured_slider_category_readmore_text']		= esc_html__('Read More','ice-hockey-club');
	$defaults['data_slick_speed']					    	= 1000;
	$defaults['data_slick_infinite']				    	= 1;
	$defaults['data_slick_arrows']					    	= 1;
	$defaults['data_slick_autoplay']				    	= 0;
	$defaults['data_slick_draggable']				    	= 1;
	$defaults['data_slick_fade']					    	= 1;
	$defaults['number_of_featured_slider_items']	    	= 6;

	// Blog Section	
	$defaults['enable_featured_blog_section']			= false;
	$defaults['number_of_featured_blog_items']			= 6;
	$defaults['featured_blog_section_title']	    	= esc_html__( 'Blog', 'ice-hockey-club' );
	$defaults['featured_blog_column']					= 'col-3';
	$defaults['featured_blog_content_type']				= 'featured_blog_page';
	
	// Servies Section	
	$defaults['enable_featured_classes_section']			= false;
	$defaults['number_of_featured_classes_items']			= 6;
	$defaults['featured_classes_section_title']	    	= esc_html__( 'Our Classes', 'ice-hockey-club' );
	$defaults['featured_classes_column']					= 'col-3';
	$defaults['featured_classes_content_type']				= 'featured_classes_page';

	// Featured Posts Section
	$defaults['enable_featured_posts_section']			= false;
	$defaults['featured_posts_background_color']    	= '#2196f3';
	$defaults['featured_posts_section_title']	    	= esc_html__( 'Blog', 'ice-hockey-club' );
	$defaults['featured_posts_category']	   	    	= 0; 
	$defaults['featured_posts_number']					= 6;
	$defaults['featured_posts_column']					= 'col-3';

	// Theme Options
	$defaults['show_header_image']		    			= 'header-image-enable';
	$defaults['show_page_title']		    			= 'page-title-enable';
	$defaults['layout_options_blog']					= 'no-sidebar';
	$defaults['layout_options_archive']					= 'no-sidebar';
	$defaults['layout_options_page']					= 'no-sidebar';	
	$defaults['layout_options_single']					= 'right-sidebar';	
	$defaults['excerpt_length']							= 25;
	$defaults['readmore_text']							= esc_html__('Read more','ice-hockey-club');
	$defaults['your_latest_posts_title']				= esc_html__('Blog','ice-hockey-club');

	//Footer section 		
	$defaults['copyright_text']							= esc_html__( 'Copyright &copy; All rights reserved.', 'ice-hockey-club' );

	// Pass through filter.
	$defaults = apply_filters( 'ice_hockey_club_filter_default_theme_options', $defaults );
	return $defaults;
}

endif;

/**
*  Get theme options
*/
if ( ! function_exists( 'ice_hockey_club_get_option' ) ) :

	/**
	 * Get theme option
	 *
	 * @since 1.0.0
	 *
	 * @param string $key Option key.
	 * @return mixed Option value.
	 */
	function ice_hockey_club_get_option( $key ) {

		$default_options = ice_hockey_club_get_default_theme_options();
		if ( empty( $key ) ) {
			return;
		}

		$theme_options = (array)get_theme_mod( 'theme_options' );
		$theme_options = wp_parse_args( $theme_options, $default_options );

		$value = null;

		if ( isset( $theme_options[ $key ] ) ) {
			$value = $theme_options[ $key ];
		}

		return $value;

	}

endif;